/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "GameRadioButton.h"
#include "GameSpinBox.h"

// Qt includes
#include <QDebug>
#include <QApplication>

GameRadioButton::GameRadioButton(QWidget *parent, GameSpinBox *spinBox)
    : QRadioButton(parent), m_spinBox(spinBox)
{
}

void GameRadioButton::wheelEvent(QWheelEvent *event)
{
    QRadioButton::wheelEvent(event);
    if (isChecked()) {
        QApplication::sendEvent(m_spinBox, event);
    }
}
